com.pixelmed.event

## Class Event

- java.lang.Object
- - com.pixelmed.event.Event

Direct Known Subclasses:
  ApplyShutterChangeEvent, BrowserPaneChangeEvent, FrameSelectionChangeEvent, FrameSortOrderChangeEvent, GraphicDisplayChangeEvent, RegionSelectionChangeEvent, SourceImageSelectionChangeEvent, SourceSpectrumSelectionChangeEvent, StatusChangeEvent, TaskChangeEvent, VOIFunctionChangeEvent, WindowCenterAndWidthChangeEvent, WindowingAccelerationValueChangeEvent, WindowLinearCalculationChangeEvent

    public class Event
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Event()`
`Event(EventContext eventContext)`
`Event(java.lang.Object source)`
`Event(java.lang.Object source, EventContext eventContext)`

### Method Summary

Methods
`EventContext` `getEventContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Event

    public Event()

#### Event

    public Event(java.lang.Object source)

Parameters:
  `source` -

#### Event

    public Event(java.lang.Object source,
         EventContext eventContext)

Parameters:
  `source` -
  `eventContext` -

#### Event

    public Event(EventContext eventContext)

Parameters:
  `eventContext` -

### Method Detail

#### getEventContext

    public final EventContext getEventContext()

Returns:
  the context of the event